<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
  <title>get (FontDB)</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" href="../.././rdoc-style.css" type="text/css" media="screen" />
</head>
<body class="standalone-code">
  <pre><span class="ruby-comment cmt"># File font_db.rb, line 61</span>
  <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">get</span>(<span class="ruby-identifier">columns</span>, <span class="ruby-identifier">order_by</span>=<span class="ruby-value str">'name'</span>, <span class="ruby-identifier">sort_dir</span> = <span class="ruby-constant">UP</span>, <span class="ruby-identifier">limit</span> = <span class="ruby-constant">NO_LIMIT</span>, <span class="ruby-identifier">offset</span> = <span class="ruby-value">0</span>)
    <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">sort_dir</span> = <span class="ruby-constant">UP</span> <span class="ruby-keyword kw">then</span>
      <span class="ruby-identifier">dir</span> = <span class="ruby-value str">&quot;ASC&quot;</span>
    <span class="ruby-keyword kw">else</span>
      <span class="ruby-identifier">dir</span> = <span class="ruby-value str">&quot;DESC&quot;</span>
    <span class="ruby-keyword kw">end</span>
    <span class="ruby-keyword kw">return</span> <span class="ruby-ivar">@db</span>.<span class="ruby-identifier">execute</span>(<span class="ruby-node">%{
      SELECT #{[columns].flatten.join(&quot;, &quot;)} 
      FROM fonts 
      ORDER BY #{order_by} #{dir} 
      LIMIT #{limit} 
      OFFSET #{offset}
    }</span>)
  <span class="ruby-keyword kw">end</span></pre>
</body>
</html>